package com.yonge.cooleshow.common.entity;

import com.yonge.cooleshow.common.enums.PostStatusEnum;

import java.math.BigDecimal;

/**
 * Description 老师分润
 *
 * @author liujunchi
 * @date 2022-07-25
 */
public class MallOrderItemDto {

    // 订单详情id
    private Long id;

    // 订单id
    private Long orderId;

    // 订单号
    private String orderSn;

    // 商品id
    private Long productSkuId;


    private String productName;

    // 分享人id
    private Long promoterId;

    // 购买金额
    private BigDecimal realAmount;

    // 购买人id
    private Long userId;

    // 分润状态
    private PostStatusEnum status;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public Long getProductSkuId() {
        return productSkuId;
    }

    public void setProductSkuId(Long productSkuId) {
        this.productSkuId = productSkuId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Long getPromoterId() {
        return promoterId;
    }

    public void setPromoterId(Long promoterId) {
        this.promoterId = promoterId;
    }

    public BigDecimal getRealAmount() {
        return realAmount;
    }

    public void setRealAmount(BigDecimal realAmount) {
        this.realAmount = realAmount;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public PostStatusEnum getStatus() {
        return status;
    }

    public void setStatus(PostStatusEnum status) {
        this.status = status;
    }
}
